package grmi

type Entity struct {
	TableName       string
	BuildCursor     func() interface{}
	Indicator       interface{}
	FieldMapping    map[string]Field
	PresetKeys      []string
	UpdatingMembers []string
}

func NewEntity(tableName string, buildCursor func() interface{}, fieldMapping map[string]Field, presetKeys []string, updatingMembers []string) Entity {
	return Entity{tableName, buildCursor, buildCursor(), fieldMapping, presetKeys, updatingMembers}
}
